#include <com spi esclavo.h>

#FUSES NOMCLR

#use spi (SLAVE, CLK=PIN_B1, DI=PIN_B0, DO=PIN_C7, ENABLE=PIN_A5, MODE=0, BITS=8)

#define LED1   PIN_D0
#define LED2   PIN_D1
#define LED3   PIN_D2

int8 dato=0;

void led();


#INT_SSP
void recibe()
{
   dato = spi_read();
   led();
   return;
}


void led()
{
   switch (dato)
   {
       case 0x01:
            OUTPUT_BIT(LED1,1);
            break;

       case 0x02:
            OUTPUT_BIT(LED1,0);
            break;

       case 0x03:
            OUTPUT_BIT(LED2,1);
            break;

       case 0x04:
            OUTPUT_BIT(LED2,0);
            break;

       case 0x05:
            OUTPUT_BIT(LED3,1);
            break;

       case 0x06:
            OUTPUT_BIT(LED3,0);
            break;
       default:
            break;
   }
            return;
}



void main()
{

   enable_interrupts(INT_SSP);
   enable_interrupts(global);

   while(TRUE)
   {


      //TODO: User Code
   }

}
